## org.eclipse.datatools.sqltools.common.ui.tableviewer
Interface IEnhanceTableDataReadOnly

    public interface IEnhanceTableDataReadOnly

For the Readonly setting for EnhancedTableViewer

Author:
  Hui Wan

Method Summary
`boolean` `isReadOnly(java.lang.Object row, int index)` Check wheteher the row data is readonly

Method Detail

### isReadOnly

    boolean isReadOnly(java.lang.Object row,
                       int index)

  Check wheteher the row data is readonly

  Parameters:
    `row` - The rowdata
    `index` - the column index
  Returns: